Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class XAServiceBase.DummyTxResource

    java.lang.Object
      org.apache.slide.common.XAServiceBase.DummyTxResource

All Implemented Interfaces:
  org.apache.commons.transaction.util.xa.TransactionalResource

Enclosing class:
  XAServiceBase

protected class XAServiceBase.DummyTxResource
extends java.lang.Object
implements org.apache.commons.transaction.util.xa.TransactionalResource

Field Summary
`(package private) int` | `status`
`(package private) javax.transaction.xa.Xid` | `xid`

Constructor Summary
`(package private)` | `XAServiceBase.DummyTxResource(javax.transaction.xa.Xid xid)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`javax.transaction.xa.Xid` | `getXid()`
`int` | `prepare()`
`void` | `resume()`
`void` | `rollback()`
`void` | `setStatus(int status)`
`void` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xid

    javax.transaction.xa.Xid xid

### status

    int status

Constructor Detail

### XAServiceBase.DummyTxResource

    XAServiceBase.DummyTxResource(javax.transaction.xa.Xid xid)

Method Detail

### commit

    public void commit()
                throws javax.transaction.xa.XAException

  Specified by:
    `commit` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

### rollback

    public void rollback()
                  throws javax.transaction.xa.XAException

  Specified by:
    `rollback` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

### prepare

    public int prepare()
                throws javax.transaction.xa.XAException

  Specified by:
    `prepare` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`

### getXid

    public javax.transaction.xa.Xid getXid()

  Specified by:
    `getXid` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`

### begin

    public void begin()
               throws javax.transaction.xa.XAException

  Specified by:
    `begin` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

### suspend

    public void suspend()
                 throws javax.transaction.xa.XAException

  Specified by:
    `suspend` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

### resume

    public void resume()
                throws javax.transaction.xa.XAException

  Specified by:
    `resume` in interface `org.apache.commons.transaction.util.xa.TransactionalResource`
  Throws:
    `javax.transaction.xa.XAException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD